Package com.io7m.waxmill.machines

# Class WXMPinCPU.Builder

java.lang.Object
com.io7m.waxmill.machines.WXMPinCPU.Builder

Enclosing class:
  WXMPinCPU

    public static final class WXMPinCPU.Builder
    extends java.lang.Object

Builds instances of type `WXMPinCPU`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXMPinCPU` | `build()` | Builds a new `WXMPinCPU`.
  `WXMPinCPU.Builder` | `from​(WXMCPUTopologyType.WXMPinCPUType instance)` | Fill a builder with attribute values from the provided `WXMPinCPUType` instance.
  `WXMPinCPU.Builder` | `setGuestCPU​(int guestCPU)` | Initializes the value for the `guestCPU` attribute.
  `WXMPinCPU.Builder` | `setHostCPU​(int hostCPU)` | Initializes the value for the `hostCPU` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXMPinCPU.Builder from​(WXMCPUTopologyType.WXMPinCPUType instance)
    Fill a builder with attribute values from the provided `WXMPinCPUType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setHostCPU

    public final WXMPinCPU.Builder setHostCPU​(int hostCPU)
    Initializes the value for the `hostCPU` attribute.
    Parameters:
      `hostCPU` - The value for hostCPU
    Returns:
      `this` builder for use in a chained invocation

  - ### setGuestCPU

    public final WXMPinCPU.Builder setGuestCPU​(int guestCPU)
    Initializes the value for the `guestCPU` attribute.
    Parameters:
      `guestCPU` - The value for guestCPU
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXMPinCPU build()
    Builds a new `WXMPinCPU`.
    Returns:
      An immutable instance of WXMPinCPU
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing